<template>
  <div class="ordersContainer">
    <div class="aboveTableContainer">
      <span
        class="toggleFullScreen"
        @click="setFullScreenTable(true)"
      >
        Развернуть таблицу на весь экран
      </span>
    </div>
    <orders-table
      :head="tableHead"
      :data="tableData"
      :is-fullscreen="fullScreenTable"
      @setFullScreenTable="setFullScreenTable"
    />
  </div>
</template>

<script>
  export default {
    name: "Orders",
    data() {
      return {
        fullScreenTable: false,
        tableHead: [
          {name: 'order', label: 'Заказ', field: 'order', align: 'center', doubleCell: true},
          {name: 'supplier', label: 'Поставщик', field: 'supplier', align: 'center', doubleCell: true},
          {name: 'legalEntityName', label: 'Юридическое лицо сити', field: 'legalEntityName', align: 'center'},
          {name: 'platform', label: 'Площадка', field: 'platform', align: 'center'},
          {name: 'manager', label: 'Менеджер-исполнитель', field: 'manager', align: 'center'},
          {name: 'totalPrice', label: 'Сумма заказа, руб', field: 'totalPrice', align: 'center', doubleCell: true},
          {name: 'nextOrderDate', label: 'Дата следующего заказа', field: 'nextOrderDate', align: 'center'},
        ],
        tableData: [],
      }
    },
    mounted() {
      this.tableData = [{
          id: 32167, created_at: '10.02.2020', supplier_name: 'ООО Рога и Копыта',
          not_assigned_manager: 'Белов М. М.', legal_entity_name: 'ООО Эверест',
          platform_name: 'Wildberries', total_price: '120100.00', deviation: '13211.00',
          next_order_date: '25.09.2020',
          user: {
            name: 'Константинопольский К. К.',
          }
        }];
    },
    methods: {
      setFullScreenTable(value) {
        this.fullScreenTable = value;
      }
    }
  }
</script>
